Bug 858066 - Review Request: mingw-qt5-qtgraphicaleffects - Qt5 for Windows - QtGraphicalEffects component
Review Request: mingw-qt5-qtgraphicaleffects - Qt5 for Windows - QtGraphicalE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 18:31 EDT by Erik van Pienbroek
Modified: 2013-06-13 22:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-qt5-qtimageformats-5.0.2-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:38:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:31:34 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtgraphicaleffects/mingw-qt5-qtgraphicaleffects.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtgraphicaleffects-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:08:13 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtgraphicaleffects/mingw-qt5-qtgraphicaleffects.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtgraphicaleffects-5.0.0-0.2.beta1.git20121112.fcbc6043.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.fcbc6043
- Update to 20121112 snapshot (rev fcbc6043)
- Rebuild against latest mingw-qt5-qtbase
Comment 2 Erik van Pienbroek 2013-02-09 07:45:56 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtgraphicaleffects/mingw-qt5-qtgraphicaleffects.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtgraphicaleffects/5.0.1/1.fc19/src/mingw-qt5-qtgraphicaleffects-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=118

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 4 Sandro Mani 2013-05-25 17:54:05 EDT
[!]: Package requires other packages for directories it uses.
[!]: Package must own all directories that it creates.

$ rpm -qpR mingw32-qt5-qtgraphicaleffects-5.0.2-1.fc20.noarch.rpm 
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

(and same for mingw64 package)

The package owns %{mingw32/64_datadir}/qt5/qml/QtGraphicalEffects/, but %{mingw32/64_datadir}/qt5/qml is unowned.
Comment 5 Erik van Pienbroek 2013-05-26 14:29:30 EDT
Thanks, the folders you mentioned are now owned by mingw-qt5-qtdeclarative

Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtgraphicaleffects/mingw-qt5-qtgraphicaleffects.spec
Updates SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtgraphicaleffects/5.0.2/2.fc20/src/mingw-qt5-qtgraphicaleffects-5.0.2-2.fc20.src.rpm
Koji scratch build: https://koji.vanpienbroek.nl/koji/buildinfo?buildID=149

* Sun May 26 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-2
- Add manual Requires: mingw{32,64}-qt5-qtdeclarative as the automatic
  dependency extractor isn't able to process this type of files yet
Comment 6 Sandro Mani 2013-05-26 16:13:37 EDT
$ rpmlint mingw-qt5-qtgraphicaleffects-5.0.2-2.fc20.src.rpm
mingw-qt5-qtgraphicaleffects.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtgraphicaleffects.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtgraphicaleffects.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtgraphicaleffects.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 0 errors, 4 warnings

$ rpmlint mingw32/64-qt5-qtgraphicaleffects-5.0.2-2.fc20.noarch.rpm
mingw32-qt5-qtgraphicaleffects.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw32/64-qt5-qtgraphicaleffects-debuginfo-5.0.2-2.fc20.noarch.rpm
mingw32-qt5-qtgraphicaleffects-debuginfo.noarch: E: description-line-too-long C This package provides debug information for package mingw32-qt5-qtgraphicaleffects.
mingw32-qt5-qtgraphicaleffects-debuginfo.noarch: E: empty-debuginfo-package
1 packages and 0 specfiles checked; 2 errors, 0 warnings.

=> The macro in comment warnings can easily be fixed
=> The no-documentation warning can be ignored, since the source tarball does not ship any license file
=> The empty-debuginfo error must be fixed (resp. debuginfo packages disabled)
Comment 7 Erik van Pienbroek 2013-05-31 15:02:00 EDT
Updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtgraphicaleffects/mingw-qt5-qtgraphicaleffects.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtgraphicaleffects/5.0.2/4.fc20/src/mingw-qt5-qtgraphicaleffects-5.0.2-4.fc20.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=152

* Fri May 31 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-4
- Changed URL to http://qt-project.org/

* Thu May 30 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.2-3
- Don't generate a debuginfo subpackage as this package doesn't have compiled code
Comment 8 Sandro Mani 2013-06-01 18:29:28 EDT
All ok, approved!
Comment 9 Erik van Pienbroek 2013-06-02 06:50:31 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtgraphicaleffects
Short Description: Qt5 for Windows - QtGraphicalEffects component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 10 Gwyn Ciesla 2013-06-03 06:13:04 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-06-03 18:21:56 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19,mingw-qt5-qttranslations-5.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-qt5-qtimageformats-5.0.2-2.fc19,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19,mingw-qt5-qttranslations-5.0.2-2.fc19
Comment 12 Fedora Update System 2013-06-03 18:23:51 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc18,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18,mingw-qt5-qttranslations-5.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtimageformats-5.0.2-2.fc18,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18,mingw-qt5-qttranslations-5.0.2-2.fc18
Comment 13 Fedora Update System 2013-06-04 22:26:18 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19, mingw-qt5-qttranslations-5.0.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-06-13 02:38:26 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19, mingw-qt5-qttranslations-5.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-06-13 22:32:50 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc18, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18, mingw-qt5-qttranslations-5.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.